CSDN博客

img skink

ArcIMS4.0 for windows IIS + ServletsExec安装全记录(1)

发表于2004/2/27 10:16:00  1749人阅读

 

说明:

    比起ArcIMS 3.0或以前的版本,arcIMS可以支持的服务器更多了(关于支持的web server,请参考arcIMS的安装向导相关内容),安装和配置起来也更加简单了,但无论如何简单,配置一台web服务器的复杂度,都会让人望而却步。而不同的web服务需要进行不同的配置,大多数都没有直观交互的配置界面,而是通过一个配置文件进行更改。在arcIMS4.0版本后,ESRI公司给了一个更加便利的工具arcIMS Post Installation,使用他可以发方便的配置arcIMS支持的web服务器组合,而不需要手动进行更改。

    我们以比较简单的IIS + ServletExec ISAPI组合进行介绍,安装arcIMS4.0

软件要求:

n         ArcIMS 4.0

n         Windows IIS 5.0

n         ServletExec API 4.0

n         Java SDK1.4.2 or Java JRE 1.4.2

软件下载:

n         arcIMS的安装盘上,自带了ServletExec软件和Java JRE运行环境。分别在安装目录的ServletExec文件夹下和support/JRE文件夹下,ArcIMS自带的JRE1.4.0版本如果需要得到最新的JRE,连接网址下载

n         要得到最新的ServletExec软件,连接网址 ServletExec ISAPI 4.0 下载

安装前准备:

1.      软件要求 ArcIMS 4.0可以得到 ServletExec 4.0版本的完全支持,可以支持Java SDK or JRE 1.4.0后的版本。关于ServletExec对于arcIMS的支持更多信息请查看ServletExec FAQ for ESRI ArcIMS

2.      windows操作系统已经安装了java虚拟机,如果没有的话,在arcIMS安装光盘support/MSJavaVM目录下,是windows操作系统java虚拟机,执行msjavx86.exe安装即可

3.      确保安装按步骤进行

开始安装软件

1.      安装IIS

检查windows Internet Information Service是否已经安装,如果没有安装的话,首先安装IIS

安装方法:

    点击开始-设置-控制面板,点击添加删除程序,在弹出的对话框中右侧,选择添加删除windows组件,如图

在弹出的对话框中,选择Internet信息服务(IIS)点击下一步,安装向导将完成IIS的安装。

2.      安装Java JRE 略。

3.      安装ServletExec ISAPI 4.0

注意:在安装Servlet Exec4.0后,需要重新启动Internet信息服务才可以使用Servlet Exec。此外,arcIMS不同的版本对于Servlet Exec的版本是有要求的,具体的对应请参考ServletExec FAQ for ESRI ArcIMS

重启IIS方法:

点击开始-设置-控制面板,点击管理工具,点击服务,在弹出的对话框中选择IIS Admin Service,点击工具条重新启动按钮(如果标出),重新启动IIS信息服务,同时连带的服务也将重新启动,确定即可。重新启动IIS后,Servlet可以使用。

0 0

相关博文

我的热门文章

img
取 消
img